def compute_cell_surface(base):
    """
    Function to compute cell surface of unstructured grid composed of triangles.
    """
    coordinates = ['x', 'y', 'z']
    for zone in base.keys():
        connectivity = base[zone][0].connectivity['tri']
        v1 = {}
        v2 = {}
        for var in coordinates:
            v1[var] = base[zone][0][var][connectivity[:, 1]] \
                    - base[zone][0][var][connectivity[:, 0]]
            v2[var] = base[zone][0][var][connectivity[:, 2]] \
                    - base[zone][0][var][connectivity[:, 0]]
        prod_vect = {}
        for var_idx, var in enumerate(coordinates):
            prod_vect[var] = v1[coordinates[(var_idx + 1) % 3]] * v2[coordinates[(var_idx + 2) % 3]]
            prod_vect[var] -= v1[coordinates[(var_idx + 2) % 3]] * v2[coordinates[(var_idx + 1) % 3]]

        norm = 0
        for var in coordinates:
            norm += prod_vect[var] ** 2
        norm = norm ** 0.5
        base[zone][0][('cell_surface', 'cell')] = 0.5 * norm